Bug 138187 - URL opened twice when clicking UNO hyperlink control
Summary: URL opened twice when clicking UNO hyperlink control
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: sdk (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Michael Weghorn
URL:
Whiteboard: target:7.1.0 target:7.0.4
Keywords:
Depends on:
Blocks:
 
Reported: 2020-11-13 12:46 UTC by Michael Weghorn
Modified: 2020-11-20 08:55 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
sample file with dialog containing a hyperlink control (10.59 KB, application/vnd.oasis.opendocument.spreadsheet)
2020-11-13 12:48 UTC, Michael Weghorn
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Weghorn 2020-11-13 12:46:20 UTC
Description:
Clicking a UNO hyperlink control results in the URL being opened twice.

Steps to Reproduce:
0. set macro security to Medium in "Tools" -> "Options" -> "Security" -> "Macro Security"
1. open attached sample file hyperlink_sample.ods (and allow execution of macros)
2. click on the "Show Dialog" button
  -> a dialog containing a hyperlink opens
3. click on the "Link to some website" hyperlink in the dialog

Actual Results:
The URL https://example.org/ is opened in a browser twice (second time may be a few seconds after the first one).

Expected Results:
The URL should only be opened once.


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.1.0.0.alpha1+
Build ID: f7e6c9853decbb61dc9aaa5ed3a3aa33d529d6e2
CPU threads: 12; OS: Linux 5.9; UI render: default; VCL: kf5
Locale: en-GB (en_GB.UTF-8); UI: en-US
Calc: threaded
Comment 1 Michael Weghorn 2020-11-13 12:48:08 UTC
Created attachment 167272 [details]
sample file with dialog containing a hyperlink control

This was originally reported to me by somebody else; I've taken a look myself and plan to submit a fix soon. (This bug report is mostly for documentation purposes)
Comment 2 Michael Weghorn 2020-11-13 14:59:12 UTC
Fix pending at https://gerrit.libreoffice.org/c/core/+/105793
Comment 3 Commit Notification 2020-11-14 22:37:16 UTC
Michael Weghorn committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/42a691933429dbb315de2bd7ba2724993c60411f

tdf#138187 Don't open UNO hyperlink control's URL twice

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2020-11-20 08:55:36 UTC
Michael Weghorn committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/8019531fd5735515572da5a30fd0e1b85680f448

tdf#138187 Don't open UNO hyperlink control's URL twice

It will be available in 7.0.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.